# manual test plan

Best served after running `make int-core` which assures most core functionality
is still working. These manual tests are for testing things that are hard to
wire up for testing in an automated way.

## recipe publish

- `abra recipe upgrade <recipe>`
- `abra recipe sync <recipe>`
- `abra recipe release --publish <recipe>`

## automagic traefik deploy

- `abra server add -p -t <server>`

## deploy, upgrade, rollback

- `abra app deploy <app>`
- `abra app upgrade <app>`
- `abra app rollback <app>`

## backup & restore

- `abra app deploy <app>`
- `abra app backup <app>`
- `abra app undeploy <app>`
- `abra app volume remove --force <app>`
- `abra app deploy <app>`
- `abra app restore <app>`

## app day-to-day ops

### easy mode

- `abra app config <app>`
- `abra app check <app>`
- `abra app ps <app>`
- `abra app logs <app>`
- `abra app cp <app>`
- `abra app run <app>`
- `abra app secret ls <app>`
- `abra app volume ls <app>`

### hard mode

- `abra app restart <app>`
- `abra app remove <app>`
- `abra app secret insert <app> foo v1 bar`
- `abra app secret remove <app> foo`
- `abra app secret generate --all`
- `abra app volume remove --force <app>`
- `abra app errors -w <app>`
